> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify GSTIN

> Validates the provided GSTIN and returns the associated taxpayer registration details.



## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/public/gstin/verify
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/public/gstin/verify:
    post:
      tags:
        - Public
      summary: Verify GSTIN
      description: >-
        Validate GST-registered businesses by passing their GSTIN and return
        basic taxpayer registration details.
      operationId: verifyGstin
      parameters:
        - name: authorization
          in: header
          description: JWT access token
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-accept-cache
          in: header
          description: Pass true to get cached response
          required: false
          example: ''
          schema:
            type: boolean
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - gstin
              properties:
                gstin:
                  type: string
                  description: GSTIN of the taxpayer
            examples:
              200 valid gstin:
                value:
                  gstin: 24ABKCS2033B1ZV
                summary: 200 valid gstin
              Cancelled on application of Taxpayer:
                value:
                  gstin: 33EIUPS5109E1ZZ
                summary: Cancelled on application of Taxpayer
              NRI Gstin:
                value:
                  gstin: 9917SGP29002OSR
                summary: NRI Gstin
              Verify Gstin Bank:
                value:
                  gstin: 24AAACS8577K1ZV
                summary: Verify Gstin Bank
      responses:
        '200':
          description: >-
            200 Valid GSTIN / 200 Cancelled GSTIN / 200 NRI GSTIN / 200 Bank
            GSTIN
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          legalName:
                            type: string
                            description: Legal name of the taxpayer
                            example: SANDBOX FINANCIAL TECHNOLOGIES PRIVATE LIMITED
                          bussNature:
                            type: string
                            description: Business nature of the taxpayer
                            example: Service Provider and Others
                          stateName:
                            type: string
                            description: State name
                            example: Gujarat
                          validGstin:
                            type: boolean
                            description: Whether the GSTIN is valid
                            example: true
                          stateCode:
                            type: string
                            description: State code
                            example: '24'
                          pan:
                            type: string
                            description: PAN of the taxpayer
                            example: ABKCS2033B
                          gstin:
                            type: string
                            description: GST Identification Number
                            example: 24ABKCS2033B1ZV
                          regStartDate:
                            type: string
                            description: Registration start date
                            example: 06/02/2023
                          status:
                            type: string
                            description: GST registration status
                            example: Active
                        required:
                          - legalName
                          - bussNature
                          - stateName
                          - validGstin
                          - stateCode
                          - pan
                          - gstin
                          - regStartDate
                          - status
                      status_cd:
                        type: string
                        example: '1'
                    required:
                      - data
                      - status_cd
                  timestamp:
                    type: number
                    example: 1775824753133
                  transaction_id:
                    type: string
                    example: 31ac0ccf-39b6-42e0-9646-aebf47d8d980
              examples:
                200 valid gstin:
                  summary: 200 valid gstin
                  value:
                    code: 200
                    timestamp: 1775824753133
                    data:
                      data:
                        legalName: SANDBOX FINANCIAL TECHNOLOGIES PRIVATE LIMITED
                        bussNature: Service Provider and Others
                        stateName: Gujarat
                        validGstin: true
                        stateCode: '24'
                        pan: ABKCS2033B
                        gstin: 24ABKCS2033B1ZV
                        regStartDate: 06/02/2023
                        status: Active
                      status_cd: '1'
                    transaction_id: 31ac0ccf-39b6-42e0-9646-aebf47d8d980
                Cancelled on application of Taxpayer:
                  summary: Cancelled on application of Taxpayer
                  value:
                    code: 200
                    timestamp: 1775824883550
                    data:
                      data:
                        legalName: SRINIVASAN
                        bussNature: Service Provider and Others
                        stateName: Tamil Nadu
                        validGstin: true
                        stateCode: '33'
                        pan: EIUPS5109E
                        gstin: 33EIUPS5109E1ZZ
                        regStartDate: 11/02/2021
                        status: Cancelled on application of Taxpayer
                      status_cd: '1'
                    transaction_id: e0d44d67-957a-48d1-8cd5-f48879a1bde4
                NRI Gstin:
                  summary: NRI Gstin
                  value:
                    code: 200
                    timestamp: 1775824954977
                    data:
                      data:
                        legalName: LINKEDIN SINGAPORE PTE. LTD.
                        bussNature: ''
                        stateName: CBIC
                        validGstin: true
                        stateCode: '99'
                        pan: AADCL0508Q
                        gstin: 9917SGP29002OSR
                        regStartDate: 01/07/2017
                        status: Active
                      status_cd: '1'
                    transaction_id: c1d91a87-fe0d-471f-8e69-02a9fe363383
                Verify Gstin Bank:
                  summary: Verify Gstin Bank
                  value:
                    code: 200
                    timestamp: 1775824996094
                    data:
                      data:
                        legalName: STATE BANK OF INDIA
                        bussNature: Service Provider and Others
                        stateName: Gujarat
                        validGstin: true
                        stateCode: '24'
                        pan: AAACS8577K
                        gstin: 24AAACS8577K1ZV
                        regStartDate: 01/07/2017
                        status: Active
                      status_cd: '1'
                    transaction_id: dd61da24-1e0b-4956-ab37-28d99bee75ef
          headers: {}
        '422':
          description: Invalid GSTIN pattern
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 422
                  message:
                    type: string
                    example: Invalid GSTIN pattern
                  timestamp:
                    type: number
                    example: 1775824753133
                  transaction_id:
                    type: string
                    example: 71060364-7cc1-4436-84d7-3bdf4a47de55
              examples:
                Invalid GSTIN pattern:
                  summary: Invalid GSTIN pattern
                  value:
                    code: 422
                    message: Invalid GSTIN pattern
                    timestamp: 1775824753133
                    transaction_id: 71060364-7cc1-4436-84d7-3bdf4a47de55
          headers: {}
      deprecated: false
      security: []

````